Class | ActiveRecord::ConnectionAdapters::OpenBaseAdapter
In: | lib/active_record/connection_adapters/openbase_adapter.rb
Parent: | AbstractAdapter

The OpenBase adapter works with the Ruby/Openbase driver by Tetsuya Suzuki. www.spice-of-life.net/ruby-openbase/ (needs version 0.7.3+)

Options:

- `:host` — Defaults to localhost
- `:username` — Defaults to nothing
- `:password` — Defaults to nothing
- `:database` — The name of the database. No default, must be provided.

The OpenBase adapter will make use of OpenBase‘s ability to generate unique ids for any column with an unique index applied. Thus, if the value of a primary key is not specified at the time an INSERT is performed, the adapter will prefetch a unique id for the primary key. This prefetching is also necessary in order to return the id after an insert.

Caveat: Operations involving LIMIT and OFFSET do not yet work!

Maintainer: derrick.spell@gmail.com

### Methods

adapter_name native_database_types next_sequence_value prefetch_primary_key? quote quoted_false quoted_true supports_migrations?

### External Aliases

update | -> | delete

### Public Instance methods

adapter_name()
native_database_types()
next_sequence_value(sequence_name)
prefetch_primary_key?(table_name = nil)
quote(value, column = nil)

QUOTING ==================================================

quoted_false()
quoted_true()
supports_migrations?()

[Validate]